Bug 740545 - Review Request: aqute-bnd - BND Tool
Summary: Review Request: aqute-bnd - BND Tool
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-22 12:22 UTC by Jaromír Cápík
Modified: 2016-02-01 01:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-26 18:14:24 UTC
sochotni: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Stanislav Ochotnicky 2011-09-22 12:24:15 UTC
So let's see

Comment 2 Stanislav Ochotnicky 2011-09-22 13:03:19 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:
aqute-bnd.src: W: invalid-url Source2: aqute-service.tar.gz
aqute-bnd.src: W: invalid-url Source1: http://www.aqute.biz/repo/biz/aQute/bnd/0.0.363/bnd-0.0.363.pom HTTP Error 404: Not Found
aqute-bnd.src: W: invalid-url Source0: http://www.aqute.biz/repo/biz/aQute/bnd/0.0.363/bnd-0.0.363.jar HTTP Error 404: Not Found
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

invalid urls explained, source archives are already in our cache

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[!]  Sources used to build the package matches the upstream source, as provided in the spec URL.
This is basically a copy of aqute-bndlib so we are using our cached tarballs.

[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[!]  Javadoc subpackages have Require: jpackage-utils
missing R

[-]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[!]  If source tarball includes bundled jar/class files these need to be removed prior to building

Source0 contains class files in aQute subdirectory, please remove them prior to build

[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap call

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[?]  If possible use upstream build method (maven/ant/javac)
Who knows what was the upstream method...tarballs are a mess
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[!]  Latest version is packaged.
No, but it's explained and was approved during Java SIG meeting
[x]  Reviewer should test that the package builds in mock.
Tested on: rawhide-x86_64


=== Issues ===
1. Missing requires on jpackage-utils in javadoc
2. Bundled class files. They don't seem be to used during build so it shouldn't be a problem.

Also, as we discussed please verify it's possible to build at least one package that requires aqute-bndlib with this package (after appropriate changes in classpath, BR/R of course).

Comment 3 Jaromír Cápík 2011-09-22 13:35:40 UTC
Issues fixed ...

Spec URL: http://jcapik.fedorapeople.org/files/aqute-bnd/2/aqute-bnd.spec
SRPM URL: http://jcapik.fedorapeople.org/files/aqute-bnd/2/aqute-bnd-0.0.363-2.fc17.src.rpm

maven-shared has been successfully built with the new package after altering the maven-osgi POM file with the following command:

sed -i "s|<artifactId>bndlib|<artifactId>bnd|g" maven-osgi/pom.xml

Comment 4 Stanislav Ochotnicky 2011-09-22 13:53:16 UTC
Package is OK now. APPROVED

Comment 5 Jaromír Cápík 2011-09-22 16:22:22 UTC
New Package SCM Request
=======================
Package Name: aqute-bnd
Short Description: BND Tool
Owners: jcapik
Branches: f15 f16
InitialCC: java-sig

Comment 6 Gwyn Ciesla 2011-09-24 15:54:43 UTC
Git done (by process-git-requests).

Comment 7 Jaromír Cápík 2011-09-26 18:14:24 UTC
Thanks guys ...

successfully built .... closing


Note You need to log in before you can comment on or make changes to this bug.